import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Spinner } from './components/spinner';
export var SpinnerComponent = Intact.decorate(Spinner, 'k-spinner');
var components = [SpinnerComponent];
var SpinnerModule = /** @class */ (function () {
    function SpinnerModule() {
    }
    SpinnerModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], SpinnerModule);
    return SpinnerModule;
}());
export { SpinnerModule };